// DXSpotterClientDlg.h : header file
//

#if !defined(AFX_DXSPOTTERCLIENTDLG_H__54903228_2F27_473D_B082_60A1AFC4CAF4__INCLUDED_)
#define AFX_DXSPOTTERCLIENTDLG_H__54903228_2F27_473D_B082_60A1AFC4CAF4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDXSpotterClientDlg dialog

class CDXSpotterClientDlg : public CDialog
{
// Construction
public:
	CDXSpotterClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDXSpotterClientDlg)
	enum { IDD = IDD_DXSPOTTERCLIENT_DIALOG };
	CRichEditCtrl	m_reInfo;
	CListBox	m_lstSpotters;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDXSpotterClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SendMessageToSpotter(CString strMesage);
	void EnumSpotters();
	HICON m_hIcon;
	int m_nResult;
	CHARFORMAT m_cfMain;

	// Generated message map functions
	//{{AFX_MSG(CDXSpotterClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonRefresh();
	afx_msg void OnButtonClose();
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	afx_msg void OnButtonConnect();
	afx_msg void OnButtonDisconnect();
	afx_msg void OnButtonGetAllText();
	afx_msg void OnButtonGetAllSpots();
	afx_msg void OnButtonGetAnnounces();
	afx_msg void OnButtonGetLast5DX();
	afx_msg void OnButtonGetLast10DX();
	afx_msg void OnButtonSend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DXSPOTTERCLIENTDLG_H__54903228_2F27_473D_B082_60A1AFC4CAF4__INCLUDED_)
